package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.batchOrderFeeApply.BatchOrderFeeApplyService;
import cn.iocoder.yudao.module.order.service.order.OrderFeeApplicationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BpmOrdeBatchOrderFreeApplyResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    BatchOrderFeeApplyService batchOrderFeeApplyService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.BATCH_ORDER_FREE_APPLY.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("------------------批量订单费用审核回调--------------------------{},{}", event.getBusinessKey(), event.getResult());
        batchOrderFeeApplyService.batchOrderFeeApplyCallback(event.getBusinessKey(), event.getResult());
    }

}
